import {
	createBrowserRouter,
	createRoutesFromElements,
	Route,
	RouterProvider,
	Link,
	Outlet,
} from 'react-router-dom';

const router = createBrowserRouter(
	createRoutesFromElements(
		<Route path="/" Component={Example}>
			<Route index lazy={() => import('./_index')} />
			<Route path="login" lazy={() => import('./login')} />
			<Route path="login-fetcher" lazy={() => import('./login-fetcher')} />
			<Route path="todos" lazy={() => import('./todos')} />
			<Route path="signup" lazy={() => import('./signup')} />
		</Route>,
	),
);

function Example() {
	return (
		<main>
			<h1>React Router Example</h1>

			<p>
				This example demonstrates some of the features of Conform including{' '}
				<strong>client validation</strong>, <strong>nested list</strong>, and{' '}
				<strong>async validation with zod</strong>.
			</p>

			<ul>
				<li>
					<Link to="login">Login</Link> (
					<Link to="login-fetcher">with useFetcher</Link>)
				</li>
				<li>
					<Link to="todos">Todo list</Link>
				</li>
				<li>
					<Link to="signup">Signup</Link>
				</li>
			</ul>

			<hr />

			<Outlet />
		</main>
	);
}

export default function App() {
	return <RouterProvider router={router} />;
}
