# Shadcn UI Integration

[Shadcn UI](https://ui.shadcn.com/)
Shadcn UI is a comprehensive component library built with React. It provides a wide range of pre-built components that can be easily integrated into your projects. The library is designed to be simple to use, allowing you to add components to your project either by copy/pasting them directly or using the provided CLI.

## Installation

To install a component, you can simply copy and paste the component code into your project. Alternatively, you can use the Shadcn UI CLI to automatically add components to your project. By default, the CLI will place the components into the `src/components/ui` folder.

## Conform Forms integration

This example includes a set of components in a separate folder `src/components/conform` that extend the shadcn components. By using these components, you can quickly and easily build complex forms with full validation and error handling.

## Additional infos

This example we leverage [Vite](https://vitejs.dev/) and [Tailwind CSS](https://tailwindcss.com/)

**Components**

- Checkbox
- Checkbox group
- Combobox
- Date picker
- Radio group
- Select
- Slider
- Switch
- Textarea
- Toggle group

## Demo

<!-- sandbox src="/examples/shadcn-ui" -->

Try it out on [Codesandbox](https://codesandbox.io/s/github/edmundhung/conform/tree/main/examples/shadcn-ui).

<!-- /sandbox -->
